\documentclass[11pt]{article}
\usepackage{amsmath}
\usepackage[a4paper,margin=2cm]{geometry}
\usepackage{graphicx}

\newcommand{\de}{\,\mathrm{d}}

\begin{document}

\section*{Example on Galerkin method}

\paragraph{Basis functions}

\begin{align*}
    \varphi_1( x ) = \cos \frac{\pi x}{2L},
    &&
    \varphi_2( x ) = \sin \frac{2 \pi x}{L}.
\end{align*}

\paragraph{Matrix of "equivalent forces"}

\begin{align*}
    f_1 &  
    = \int_{0}^L \varphi_1( x ) \de x
    = \int_{0}^L \cos \frac{\pi x}{2L} \de x
    = \frac{2L}{\pi} \\    
    f_2 & 
    = \int_{0}^L \varphi_1( x ) \de x
    = \int_{0}^L \sin \frac{2\pi x}{L} \de x
    = 0 \text{ (by symmetry)} 
\end{align*}

\paragraph{"Stiffness" matrix}

\begin{align*}
    K_{11} & = \int_0^L \varphi_1'( x )^2\de x
    =
    \left( \frac{\pi}{2L} \right)^2 \frac{L}{2}
    =
    \frac{\pi^2}{8L}
    \\
    K_{12} & = \int_0^L \varphi_1'( x ) \varphi_2'( x ) \de x
    =
    \int_0^L \left( 
        - \frac{\pi}{2L} \sin \frac{\pi x}{2L}
             \right) \left( 
            \frac{2\pi}{L} \cos \frac{2 \pi x}{L}
            \right) \de x
    = \left( \frac{\pi}{L} \right)^2 
    \frac{2L}{15\pi}
    =
    \frac{2\pi}{15 L}
    \\
    K_{21} & = K_{12} \text{ (by symmetry)}
    \\
    K_{22} & = \int_{0}^L \varphi_2'( x )^2\de x
    =
    \left( \frac{2\pi}{L} \right)^2 \frac{L}{2}
    =
    \frac{2 \pi^2}{L}
\end{align*}

\paragraph{System of linear equations}

\begin{align*}
    EA \frac{\pi}{L}
    \displaystyle
    \begin{bmatrix}
        \frac{\pi}{8} & \frac{2}{15} \\
        \frac{2}{15} & 2 \pi 
    \end{bmatrix}
    \begin{bmatrix}
        c_1 \\ c_2
    \end{bmatrix}
    =
    b \frac{2L}{\pi}
    \begin{bmatrix}
        1 \\ 0
    \end{bmatrix}
    & \Longrightarrow  
    \begin{bmatrix}
        c_1 \\ c_2 
    \end{bmatrix}
    \doteq
    2 \frac{b}{EA} \left( \frac{L}{\pi} \right)^2
    \begin{bmatrix}
        2.5650 \\
       -0.0544
    \end{bmatrix}
\end{align*}

\paragraph{Galerkin solution}

\begin{align*}
    u( x ) \approx \frac{bL^2}{EA}
    \left( 0.5198 \cos \frac{\pi x}{2L} - 0.0110 \sin \frac{2 \pi x}{L} \right) 
\end{align*}

\paragraph{Closed-form solution}

\begin{align*}
    u( x ) = \frac{b L^2}{2EA} \left( 1 - \left( \frac{x}{L} \right)^2 \right)
\end{align*}

\begin{figure}[h]
    \includegraphics[height=38mm]{figures/galerkin_solutions} \hfill
    \includegraphics[height=38mm]{figures/galerkin_error}
\end{figure}

\end{document}

